<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/bg_color"
    android:orientation="vertical">

    <View
        android:id="@+id/view"
        android:layout_width="match_parent"
        android:layout_height="0dp" />

    <LinearLayout
        android:id="@+id/statusLayout"
        android:layout_width="match_parent"
        android:layout_height="44dp"
        android:gravity="center_vertical"
        android:orientation="horizontal">

        <LinearLayout
            android:id="@+id/backBtn"
            android:layout_width="40dp"
            android:layout_height="40dp"
            android:background="@drawable/dr_click_effect_oval_transparent"
            android:gravity="center">

            <ImageView
                android:layout_width="8dp"
                android:layout_height="14dp"
                android:src="@drawable/back_black" />

        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="32dp"
            android:layout_marginEnd="16dp"
            android:background="@drawable/dr_item_img_30_frame"
            android:gravity="center_vertical">

            <com.google.android.material.textfield.TextInputEditText
                android:id="@+id/searchEdit"
                style="@style/TextViewFont_PopMedium"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="10dp"
                android:layout_weight="1"
                android:background="@null"
                android:hint="@string/search_hint"
                android:textSize="14sp" />


            <RelativeLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="12dp"
                android:layout_marginEnd="12dp">

                <ImageView
                    android:id="@+id/searchIv"
                    android:layout_width="16dp"
                    android:layout_height="16dp"
                    android:layout_centerInParent="true"
                    android:src="@drawable/icon_search_black" />

                <ImageView
                    android:id="@+id/deleteIv"
                    android:layout_width="16dp"
                    android:layout_height="16dp"
                    android:layout_centerInParent="true"
                    android:src="@drawable/delete_cha_icon"
                    android:visibility="gone" />

            </RelativeLayout>
        </LinearLayout>
    </LinearLayout>

    <LinearLayout
        android:id="@+id/noFilesLayout"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:gravity="center"
        android:orientation="vertical"
        android:visibility="gone">

        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:src="@mipmap/img_no_files_yet" />

        <TextView
            style="@style/TextViewFont_PopMedium"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/no_files_yet"
            android:textColor="@color/text_color_lv2"
            android:textSize="20sp" />
    </LinearLayout>

    <LinearLayout
        android:id="@+id/historyLayout"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical"
        android:visibility="visible">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="32dp"
            android:layout_marginStart="16dp"
            android:layout_marginTop="16dp"
            android:layout_marginEnd="16dp"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/historyTitle"
                style="@style/TextViewFont_PopSemiBold"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/history"
                android:textColor="#333333"
                android:textSize="16sp" />

            <View
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1" />

            <LinearLayout
                android:id="@+id/clearHistory"
                android:layout_width="32dp"
                android:layout_height="32dp"
                android:background="@drawable/dr_click_effect_oval_transparent"
                android:gravity="center">

                <ImageView
                    android:layout_width="24dp"
                    android:layout_height="24dp"
                    android:src="@drawable/delete" />

            </LinearLayout>
        </LinearLayout>

        <com.google.android.flexbox.FlexboxLayout
            android:id="@+id/historyFlexLayout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="8dp"
            app:flexWrap="wrap"
            app:justifyContent="flex_start" />

    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginTop="16dp"
        android:background="@drawable/dr_rc_top_20_bg_white">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/recyclerView"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginTop="10dp"
            android:clipToPadding="false"
            android:paddingBottom="32dp" />

    </LinearLayout>
</LinearLayout>
